Java 9 and its lack of backward compatibility with older Java versions

Be careful when using JDK9. The official Java9 release brings so many changes that it is no a surprise that the price to pay is the lack of backward compatibility with the previous JDK releases. Some JDK9 issues are discussed on DMelt forum . This seems a tip of the big iceberg, since all such problems can be detected in a few minutes while working with DMelt examples!

Guest Blog

Guest blog

Main discussion

Discussion